// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.documentation;

import java.awt.AWTException;
import java.awt.Rectangle;
import java.awt.Robot;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.stream.FileImageOutputStream;
import javax.swing.JFrame;

import com.sun.imageio.plugins.png.PNGImageWriter;
import com.sun.imageio.plugins.png.PNGImageWriterSpi;

public class WindowGrabber
{
  public static void grabFrame(JFrame frame, String fileName)
      throws AWTException, IOException
  {
    Robot robot = new Robot();
    Rectangle captureSize = new Rectangle(frame.getBounds());
    BufferedImage image = robot.createScreenCapture(captureSize);
    PNGImageWriter wri = new PNGImageWriter(new PNGImageWriterSpi());
    FileImageOutputStream wri2 = new FileImageOutputStream(new File(fileName));
    wri.setOutput(wri2);
    wri.write(image);
    wri2.close();
  }
}
